Name:       ibus-table-yong
Version:    1.2.0.20090717
Release:    1%{?dist}
Summary:    Yong table(s) for IBus-Table
License:    GPLv3+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:   ibus-table >= 1.2
BuildRequires:   ibus-table >= 1.2, gettext-devel >= 0.17, automake >= 1.10.1

%description
The package contains Yong table(s) for IBus-Table.

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
./autogen.sh --prefix=%{_prefix}
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} NO_INDEX=true INSTALL="install -p" install

%clean
%__rm -rf %{buildroot}

%post
cd %{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n yong-ibus.db

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%dir %{_datadir}/ibus-table
%dir %{_datadir}/ibus-table/icons
%dir %{_datadir}/ibus-table/tables
%{_datadir}/ibus-table/tables/yong-ibus.db
%{_datadir}/ibus-table/icons/yong.png

%changelog
* Tue Oct 06 2009 Caius 'kaio' Chance <k at kaio.me> - 1.1.0.20090717-1.fc11
- Rebuilt with IBus 1.2.

* Fri Jul 03 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.1.0.20090422-7.fc11
- Fixed index creation with correct work directory.
- Reverted table name as IBus-Table could load table with hyphen file name.
- Changed commands to macros.

* Tue Jun 16 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.1.0.20090422-6.fc11
- Resolves: rhbz#500973 (missing .txt during post-install)

* Tue May 19 2009 Caius 'kaio' Chance <cchance AT redhat DOT com> - 1.1.0.20090422-5.fc12
- Create index only during post-install.

* Wed May 06 2009 Caius 'kaio' Chance <cchance AT redhat DOT com> - 
  1.1.0.20090422-4.fc12
- Fixed filename issues of table file from hyphen to underscore.

* Tue May 05 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090422-3.fc12
- Fixed inclusion of yong-ibus.txt instead of yong-ibus.db for post-inst proc.

* Thu Apr 23 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090422-2.fc12
- Refined files properties and updated description.

* Wed Apr 22 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090422-1.fc12
- Updated from upstream (with icon installed correctly by make install).

* Tue Apr 21 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090421-1.fc12
- Introduced from upstream.
